VisualEditor: Can't remove categories from 'Page Settings' modal in latest build
Closed, ResolvedPublic

Description

Currently on MediaWiki.org, categories cannot be removed from the 'Page Settings' modal. This is true of new categories added and existing categories.

https://www.mediawiki.org/wiki/VisualEditor:Test1234567?veaction=edit

Inez says he's working on a fix now.


Version: unspecified
Severity: major

bzimport set Reference to bz54727.
Trevor-at-Wikia created this task.Via LegacySep 27 2013, 11:36 PM
Trevor-at-Wikia added a comment.Via ConduitSep 27 2013, 11:39 PM

Also just checked editing a sort key — that functionality is no longer working as well. You can enter text into the field and close the inspector, but when it is reopened the text is not retained.

gerritbot added a comment.Via ConduitSep 28 2013, 12:08 AM

Change 86341 had a related patch set uploaded by Inez:
(bug 54727) item itself is an item, there is no need to try to pass item of that item

https://gerrit.wikimedia.org/r/86341

Inez added a comment.Via ConduitSep 28 2013, 12:17 AM

Bugfix for removal is waiting for review. Sortkey still not fixed - Trevor: Can you split it into separated bug?

gerritbot added a comment.Via ConduitSep 29 2013, 5:09 PM

Change 86341 had a related patch set uploaded by Catrope:
(bug 54727) item itself is an item, there is no need to try to pass item of that item

https://gerrit.wikimedia.org/r/86341

gerritbot added a comment.Via ConduitSep 29 2013, 5:11 PM

Change 86341 merged by jenkins-bot:
removedItems[i] is already an item, no need to pass removedItems[i].item

https://gerrit.wikimedia.org/r/86341

Jdforrester-WMF added a comment.Via ConduitSep 29 2013, 7:07 PM

Marking as "FIXED"; have removed "or change sort key" from title per discussion with Inez.

gerritbot added a comment.Via ConduitSep 30 2013, 3:52 PM

Change 86673 had a related patch set uploaded by Jforrester:
removedItems[i] is already an item, no need to pass removedItems[i].item

https://gerrit.wikimedia.org/r/86673

gerritbot added a comment.Via ConduitSep 30 2013, 3:52 PM

Change 86674 had a related patch set uploaded by Jforrester:
removedItems[i] is already an item, no need to pass removedItems[i].item

https://gerrit.wikimedia.org/r/86674

gerritbot added a comment.Via ConduitSep 30 2013, 4:05 PM

Change 86673 merged by jenkins-bot:
removedItems[i] is already an item, no need to pass removedItems[i].item

https://gerrit.wikimedia.org/r/86673

gerritbot added a comment.Via ConduitSep 30 2013, 4:06 PM

Change 86674 merged by jenkins-bot:
removedItems[i] is already an item, no need to pass removedItems[i].item

https://gerrit.wikimedia.org/r/86674

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.